Index: nanovis/branches/1.1/CmdProc.cpp
===================================================================
--- nanovis/branches/1.1/CmdProc.cpp	(revision 4892)
+++ nanovis/branches/1.1/CmdProc.cpp	(revision 4893)
@@ -10,5 +10,5 @@
 #include "CmdProc.h"
 
-using namespace Rappture;
+using namespace nv;
 
 /**
@@ -115,14 +115,14 @@
  */
 Tcl_ObjCmdProc *
-Rappture::GetOpFromObj(Tcl_Interp *interp,	/* Interpreter to report errors to */
-                       int nSpecs,		/* Number of specifications in array */
-                       CmdSpec *specs,		/* Op specification array */
-                       int operPos,		/* Position of operation in argument
-                                                 * list. */
-                       int objc,		/* Number of arguments in the argument
-                                                 * vector.  This includes any prefixed
-                                                 * arguments */ 
-                       Tcl_Obj *const *objv,	/* Argument vector */
-                       int flags)
+nv::GetOpFromObj(Tcl_Interp *interp,	/* Interpreter to report errors to */
+                 int nSpecs,		/* Number of specifications in array */
+                 CmdSpec *specs,		/* Op specification array */
+                 int operPos,		/* Position of operation in argument
+                                         * list. */
+                 int objc,		/* Number of arguments in the argument
+                                         * vector.  This includes any prefixed
+                                         * arguments */ 
+                 Tcl_Obj *const *objv,	/* Argument vector */
+                 int flags)
 {
     CmdSpec *specPtr;
Index: nanovis/branches/1.1/CmdProc.h
===================================================================
--- nanovis/branches/1.1/CmdProc.h	(revision 4892)
+++ nanovis/branches/1.1/CmdProc.h	(revision 4893)
@@ -4,8 +4,8 @@
  *
  */
-#ifndef RAPPTURE_CMDPROC_H
-#define RAPPTURE_CMDPROC_H
+#ifndef NV_CMDPROC_H
+#define NV_CMDPROC_H
 
-namespace Rappture {
+namespace nv {
 
 /**
@@ -38,5 +38,5 @@
              CmdSpec *specs, int operPos, int objc, Tcl_Obj *const *objv, int flags);
 
-#define NumCmdSpecs(s) (sizeof(s) / sizeof(Rappture::CmdSpec))
+#define NumCmdSpecs(s) (sizeof(s) / sizeof(nv::CmdSpec))
 
 }
Index: nanovis/branches/1.1/Command.cpp
===================================================================
--- nanovis/branches/1.1/Command.cpp	(revision 4892)
+++ nanovis/branches/1.1/Command.cpp	(revision 4893)
@@ -648,5 +648,5 @@
 }
 
-static Rappture::CmdSpec cameraOps[] = {
+static CmdSpec cameraOps[] = {
     {"angle",   2, CameraAngleOp,    5, 5, "xAngle yAngle zAngle",},
     {"orient",  1, CameraOrientOp,   6, 6, "qw qx qy qz",},
@@ -664,6 +664,6 @@
     Tcl_ObjCmdProc *proc;
 
-    proc = Rappture::GetOpFromObj(interp, nCameraOps, cameraOps,
-                                  Rappture::CMDSPEC_ARG1, objc, objv, 0);
+    proc = GetOpFromObj(interp, nCameraOps, cameraOps,
+                        CMDSPEC_ARG1, objc, objv, 0);
     if (proc == NULL) {
         return TCL_ERROR;
@@ -778,5 +778,5 @@
 }
 
-static Rappture::CmdSpec cutplaneOps[] = {
+static CmdSpec cutplaneOps[] = {
     {"position", 1, CutplanePositionOp, 4, 0, "relval axis ?indices?",},
     {"state",    1, CutplaneStateOp,    4, 0, "bool axis ?indices?",},
@@ -806,6 +806,6 @@
     Tcl_ObjCmdProc *proc;
 
-    proc = Rappture::GetOpFromObj(interp, nCutplaneOps, cutplaneOps,
-                                  Rappture::CMDSPEC_ARG1, objc, objv, 0);
+    proc = GetOpFromObj(interp, nCutplaneOps, cutplaneOps,
+                        CMDSPEC_ARG1, objc, objv, 0);
     if (proc == NULL) {
         return TCL_ERROR;
@@ -985,5 +985,5 @@
 }
 
-static Rappture::CmdSpec screenOps[] = {
+static CmdSpec screenOps[] = {
     {"bgcolor",  1, ScreenBgColorOp,  5, 5, "r g b",},
     {"size",     1, ScreenSizeOp, 4, 4, "width height",},
@@ -997,6 +997,6 @@
     Tcl_ObjCmdProc *proc;
 
-    proc = Rappture::GetOpFromObj(interp, nScreenOps, screenOps,
-                                  Rappture::CMDSPEC_ARG1, objc, objv, 0);
+    proc = GetOpFromObj(interp, nScreenOps, screenOps,
+                        CMDSPEC_ARG1, objc, objv, 0);
     if (proc == NULL) {
         return TCL_ERROR;
@@ -1234,5 +1234,5 @@
 }
 
-static Rappture::CmdSpec volumeAnimationOps[] = {
+static CmdSpec volumeAnimationOps[] = {
     {"capture",   2, VolumeAnimationCaptureOp,  4, 5, "numframes ?filename?",},
     {"clear",     2, VolumeAnimationClearOp,    3, 3, "",},
@@ -1250,6 +1250,6 @@
     Tcl_ObjCmdProc *proc;
 
-    proc = Rappture::GetOpFromObj(interp, nVolumeAnimationOps, 
-                volumeAnimationOps, Rappture::CMDSPEC_ARG2, objc, objv, 0);
+    proc = GetOpFromObj(interp, nVolumeAnimationOps, 
+                        volumeAnimationOps, CMDSPEC_ARG2, objc, objv, 0);
     if (proc == NULL) {
         return TCL_ERROR;
@@ -1384,5 +1384,5 @@
 }
 
-static Rappture::CmdSpec volumeDataOps[] = {
+static CmdSpec volumeDataOps[] = {
     {"follows",   1, VolumeDataFollowsOp, 5, 5, "nbytes tag",},
     {"state",     1, VolumeDataStateOp,   4, 0, "bool ?indices?",},
@@ -1396,6 +1396,6 @@
     Tcl_ObjCmdProc *proc;
 
-    proc = Rappture::GetOpFromObj(interp, nVolumeDataOps, volumeDataOps,
-                                  Rappture::CMDSPEC_ARG2, objc, objv, 0);
+    proc = GetOpFromObj(interp, nVolumeDataOps, volumeDataOps,
+                        CMDSPEC_ARG2, objc, objv, 0);
     if (proc == NULL) {
         return TCL_ERROR;
@@ -1488,5 +1488,5 @@
 }
 
-static Rappture::CmdSpec volumeOutlineOps[] = {
+static CmdSpec volumeOutlineOps[] = {
     {"color",     1, VolumeOutlineColorOp,  6, 0, "r g b ?indices?",},
     {"state",     1, VolumeOutlineStateOp,  4, 0, "bool ?indices?",},
@@ -1501,6 +1501,6 @@
     Tcl_ObjCmdProc *proc;
 
-    proc = Rappture::GetOpFromObj(interp, nVolumeOutlineOps, volumeOutlineOps,
-        Rappture::CMDSPEC_ARG2, objc, objv, 0);
+    proc = GetOpFromObj(interp, nVolumeOutlineOps, volumeOutlineOps,
+                        CMDSPEC_ARG2, objc, objv, 0);
     if (proc == NULL) {
         return TCL_ERROR;
@@ -1680,5 +1680,5 @@
 }
 
-static Rappture::CmdSpec volumeShadingOps[] = {
+static CmdSpec volumeShadingOps[] = {
     {"ambient",       1, VolumeShadingAmbientOp,     4, 0, "value ?indices?",},
     {"diffuse",       1, VolumeShadingDiffuseOp,     4, 0, "value ?indices?",},
@@ -1698,6 +1698,6 @@
     Tcl_ObjCmdProc *proc;
 
-    proc = Rappture::GetOpFromObj(interp, nVolumeShadingOps, volumeShadingOps,
-        Rappture::CMDSPEC_ARG2, objc, objv, 0);
+    proc = GetOpFromObj(interp, nVolumeShadingOps, volumeShadingOps,
+                        CMDSPEC_ARG2, objc, objv, 0);
     if (proc == NULL) {
         return TCL_ERROR;
@@ -1725,5 +1725,5 @@
 }
 
-static Rappture::CmdSpec volumeOps[] = {
+static CmdSpec volumeOps[] = {
     {"animation", 2, VolumeAnimationOp,   3, 0, "oper ?args?",},
     {"data",      2, VolumeDataOp,        3, 0, "oper ?args?",},
@@ -1743,6 +1743,6 @@
     Tcl_ObjCmdProc *proc;
 
-    proc = Rappture::GetOpFromObj(interp, nVolumeOps, volumeOps,
-        Rappture::CMDSPEC_ARG1, objc, objv, 0);
+    proc = GetOpFromObj(interp, nVolumeOps, volumeOps,
+                        CMDSPEC_ARG1, objc, objv, 0);
     if (proc == NULL) {
         return TCL_ERROR;
@@ -1765,5 +1765,5 @@
         return TCL_ERROR;
     }
-    Rappture::Unirect2d data(1);
+    Unirect2d data(1);
     if (data.parseBuffer(interp, buf) != TCL_OK) {
         return TCL_ERROR;
@@ -1819,5 +1819,5 @@
 }
 
-static Rappture::CmdSpec heightMapDataOps[] = {
+static CmdSpec heightMapDataOps[] = {
     {"follows",  1, HeightMapDataFollowsOp, 5, 5, "size heightmapName",},
     {"visible",  1, HeightMapDataVisibleOp, 4, 0, "bool ?heightmapNames...?",},
@@ -1831,6 +1831,6 @@
     Tcl_ObjCmdProc *proc;
 
-    proc = Rappture::GetOpFromObj(interp, nHeightMapDataOps, heightMapDataOps,
-                                  Rappture::CMDSPEC_ARG2, objc, objv, 0);
+    proc = GetOpFromObj(interp, nHeightMapDataOps, heightMapDataOps,
+                        CMDSPEC_ARG2, objc, objv, 0);
     if (proc == NULL) {
         return TCL_ERROR;
@@ -1879,5 +1879,5 @@
 }
 
-static Rappture::CmdSpec heightMapLineContourOps[] = {
+static CmdSpec heightMapLineContourOps[] = {
     {"color",   1, HeightMapLineContourColorOp,   6, 0, "r g b ?heightmapNames...?",},
     {"visible", 1, HeightMapLineContourVisibleOp, 4, 0, "bool ?heightmapNames...?",},
@@ -1891,6 +1891,6 @@
     Tcl_ObjCmdProc *proc;
 
-    proc = Rappture::GetOpFromObj(interp, nHeightMapLineContourOps,
-        heightMapLineContourOps, Rappture::CMDSPEC_ARG2, objc, objv, 0);
+    proc = GetOpFromObj(interp, nHeightMapLineContourOps,
+                        heightMapLineContourOps, CMDSPEC_ARG2, objc, objv, 0);
     if (proc == NULL) {
         return TCL_ERROR;
@@ -2034,5 +2034,5 @@
 }
 
-static Rappture::CmdSpec heightMapOps[] = {
+static CmdSpec heightMapOps[] = {
     {"create",       2, HeightMapCreateOp,      10, 10, "heightmapName xmin ymin xmax ymax xnum ynum values",},
     {"cull",         2, HeightMapCullOp,        3, 3, "mode",},
@@ -2053,6 +2053,6 @@
     Tcl_ObjCmdProc *proc;
 
-    proc = Rappture::GetOpFromObj(interp, nHeightMapOps, heightMapOps,
-                                  Rappture::CMDSPEC_ARG1, objc, objv, 0);
+    proc = GetOpFromObj(interp, nHeightMapOps, heightMapOps,
+                        CMDSPEC_ARG1, objc, objv, 0);
     if (proc == NULL) {
         return TCL_ERROR;
@@ -2136,5 +2136,5 @@
 }
 
-static Rappture::CmdSpec gridOps[] = {
+static CmdSpec gridOps[] = {
     {"axiscolor",  5, GridAxisColorOp,  5, 6, "r g b ?a?",},
     {"axisname",   5, GridAxisNameOp,   5, 5, "index title units",},
@@ -2150,6 +2150,6 @@
     Tcl_ObjCmdProc *proc;
 
-    proc = Rappture::GetOpFromObj(interp, nGridOps, gridOps,
-                                  Rappture::CMDSPEC_ARG1, objc, objv, 0);
+    proc = GetOpFromObj(interp, nGridOps, gridOps,
+                        CMDSPEC_ARG1, objc, objv, 0);
     if (proc == NULL) {
         return TCL_ERROR;
Index: nanovis/branches/1.1/Flow.cpp
===================================================================
--- nanovis/branches/1.1/Flow.cpp	(revision 4892)
+++ nanovis/branches/1.1/Flow.cpp	(revision 4893)
@@ -50,5 +50,5 @@
     TRACE("Enter");
 
-    Rappture::FreeSwitches(_switches, &_sv, 0);
+    FreeSwitches(_switches, &_sv, 0);
 
     if (_data != NULL) {
Index: nanovis/branches/1.1/Flow.h
===================================================================
--- nanovis/branches/1.1/Flow.h	(revision 4892)
+++ nanovis/branches/1.1/Flow.h	(revision 4893)
@@ -105,15 +105,15 @@
     }
 
-    Rappture::Unirect3d *data()
+    Unirect3d *data()
     {
         return _data;
     }
 
-    void data(Rappture::Unirect3d *data)
+    void data(Unirect3d *unirect)
     {
         if (_data != NULL) {
             delete _data;
         }
-        _data = data;
+        _data = unirect;
     }
 #if 0
@@ -183,6 +183,6 @@
     int parseSwitches(Tcl_Interp *interp, int objc, Tcl_Obj *const *objv)
     {
-        if (Rappture::ParseSwitches(interp, _switches, objc, objv, &_sv,
-                                    SWITCH_DEFAULTS) < 0) {
+        if (nv::ParseSwitches(interp, _switches, objc, objv, &_sv,
+                              SWITCH_DEFAULTS) < 0) {
             return TCL_ERROR;
         }
@@ -227,5 +227,5 @@
      * kept to regenerate the volume
      * associated with the flow. */
-    Rappture::Unirect3d *_data;
+    Unirect3d *_data;
 
     /**
@@ -250,5 +250,5 @@
     FlowValues _sv;
 
-    static Rappture::SwitchSpec _switches[];
+    static SwitchSpec _switches[];
 };
 
Index: nanovis/branches/1.1/FlowBox.cpp
===================================================================
--- nanovis/branches/1.1/FlowBox.cpp	(revision 4892)
+++ nanovis/branches/1.1/FlowBox.cpp	(revision 4893)
@@ -41,5 +41,5 @@
 {
     TRACE("Freeing switches");
-    Rappture::FreeSwitches(_switches, &_sv, 0);
+    FreeSwitches(_switches, &_sv, 0);
 }
 
Index: nanovis/branches/1.1/FlowBox.h
===================================================================
--- nanovis/branches/1.1/FlowBox.h	(revision 4892)
+++ nanovis/branches/1.1/FlowBox.h	(revision 4893)
@@ -49,6 +49,6 @@
     int parseSwitches(Tcl_Interp *interp, int objc, Tcl_Obj *const *objv)
     {
-        if (Rappture::ParseSwitches(interp, _switches, objc, objv, &_sv, 
-                                    SWITCH_DEFAULTS) < 0) {
+        if (nv::ParseSwitches(interp, _switches, objc, objv, &_sv, 
+                              SWITCH_DEFAULTS) < 0) {
             return TCL_ERROR;
         }
@@ -70,5 +70,5 @@
     std::string _name;          ///< Name of this box in the hash table.
     FlowBoxValues _sv;
-    static Rappture::SwitchSpec _switches[];
+    static SwitchSpec _switches[];
 };
 
Index: nanovis/branches/1.1/FlowCmd.cpp
===================================================================
--- nanovis/branches/1.1/FlowCmd.cpp	(revision 4892)
+++ nanovis/branches/1.1/FlowCmd.cpp	(revision 4893)
@@ -46,87 +46,87 @@
 using namespace vrmath;
 
-static Rappture::SwitchParseProc AxisSwitchProc;
-static Rappture::SwitchCustom axisSwitch = {
+static SwitchParseProc AxisSwitchProc;
+static SwitchCustom axisSwitch = {
     AxisSwitchProc, NULL, 0,
 };
 
-static Rappture::SwitchParseProc ColorSwitchProc;
-static Rappture::SwitchCustom colorSwitch = {
+static SwitchParseProc ColorSwitchProc;
+static SwitchCustom colorSwitch = {
     ColorSwitchProc, NULL, 0,
 };
 
-static Rappture::SwitchParseProc PointSwitchProc;
-static Rappture::SwitchCustom pointSwitch = {
+static SwitchParseProc PointSwitchProc;
+static SwitchCustom pointSwitch = {
     PointSwitchProc, NULL, 0,
 };
 
-static Rappture::SwitchParseProc PositionSwitchProc;
-static Rappture::SwitchCustom positionSwitch = {
+static SwitchParseProc PositionSwitchProc;
+static SwitchCustom positionSwitch = {
     PositionSwitchProc, NULL, 0,
 };
 
-static Rappture::SwitchParseProc TransferFunctionSwitchProc;
-static Rappture::SwitchCustom transferFunctionSwitch = {
+static SwitchParseProc TransferFunctionSwitchProc;
+static SwitchCustom transferFunctionSwitch = {
     TransferFunctionSwitchProc, NULL, 0,
 };
 
-Rappture::SwitchSpec Flow::_switches[] = {
-    {Rappture::SWITCH_FLOAT, "-ambient", "value",
+SwitchSpec Flow::_switches[] = {
+    {SWITCH_FLOAT, "-ambient", "value",
      offsetof(FlowValues, ambient), 0},
-    {Rappture::SWITCH_BOOLEAN, "-arrows", "boolean",
+    {SWITCH_BOOLEAN, "-arrows", "boolean",
      offsetof(FlowValues, showArrows), 0},
-    {Rappture::SWITCH_CUSTOM, "-axis", "axis",
+    {SWITCH_CUSTOM, "-axis", "axis",
      offsetof(FlowValues, slicePos.axis), 0, 0, &axisSwitch},
-    {Rappture::SWITCH_FLOAT, "-diffuse", "value",
+    {SWITCH_FLOAT, "-diffuse", "value",
      offsetof(FlowValues, diffuse), 0},
-    {Rappture::SWITCH_BOOLEAN, "-hide", "boolean",
+    {SWITCH_BOOLEAN, "-hide", "boolean",
      offsetof(FlowValues, isHidden), 0},
-    {Rappture::SWITCH_BOOLEAN, "-light2side", "boolean",
+    {SWITCH_BOOLEAN, "-light2side", "boolean",
      offsetof(FlowValues, twoSidedLighting), 0},
-    {Rappture::SWITCH_FLOAT, "-opacity", "value",
+    {SWITCH_FLOAT, "-opacity", "value",
      offsetof(FlowValues, opacity), 0},
-    {Rappture::SWITCH_BOOLEAN, "-outline", "boolean",
+    {SWITCH_BOOLEAN, "-outline", "boolean",
      offsetof(FlowValues, showOutline), 0},
-    {Rappture::SWITCH_CUSTOM, "-position", "number",
+    {SWITCH_CUSTOM, "-position", "number",
      offsetof(FlowValues, slicePos), 0, 0, &positionSwitch},
-    {Rappture::SWITCH_BOOLEAN, "-slice", "boolean",
+    {SWITCH_BOOLEAN, "-slice", "boolean",
      offsetof(FlowValues, sliceVisible), 0},
-    {Rappture::SWITCH_FLOAT, "-specularExp", "value",
+    {SWITCH_FLOAT, "-specularExp", "value",
      offsetof(FlowValues, specularExp), 0},
-    {Rappture::SWITCH_FLOAT, "-specularLevel", "value",
+    {SWITCH_FLOAT, "-specularLevel", "value",
      offsetof(FlowValues, specular), 0},
-    {Rappture::SWITCH_CUSTOM, "-transferfunction", "name",
+    {SWITCH_CUSTOM, "-transferfunction", "name",
      offsetof(FlowValues, transferFunction), 0, 0, &transferFunctionSwitch},
-    {Rappture::SWITCH_BOOLEAN, "-volume", "boolean",
+    {SWITCH_BOOLEAN, "-volume", "boolean",
      offsetof(FlowValues, showVolume), 0},
-    {Rappture::SWITCH_END}
-};
-
-Rappture::SwitchSpec FlowParticles::_switches[] = {
-    {Rappture::SWITCH_CUSTOM, "-axis", "string",
+    {SWITCH_END}
+};
+
+SwitchSpec FlowParticles::_switches[] = {
+    {SWITCH_CUSTOM, "-axis", "axis",
      offsetof(FlowParticlesValues, position.axis), 0, 0, &axisSwitch},
-    {Rappture::SWITCH_CUSTOM, "-color", "{r g b a}",
+    {SWITCH_CUSTOM, "-color", "{r g b a}",
      offsetof(FlowParticlesValues, color), 0, 0,  &colorSwitch},
-    {Rappture::SWITCH_BOOLEAN, "-hide", "boolean",
+    {SWITCH_BOOLEAN, "-hide", "boolean",
      offsetof(FlowParticlesValues, isHidden), 0},
-    {Rappture::SWITCH_CUSTOM, "-position", "number",
+    {SWITCH_CUSTOM, "-position", "number",
      offsetof(FlowParticlesValues, position), 0, 0, &positionSwitch},
-    {Rappture::SWITCH_FLOAT, "-size", "float",
+    {SWITCH_FLOAT, "-size", "float",
      offsetof(FlowParticlesValues, particleSize), 0},
-    {Rappture::SWITCH_END}
-};
-
-Rappture::SwitchSpec FlowBox::_switches[] = {
-    {Rappture::SWITCH_CUSTOM, "-color", "{r g b a}",
+    {SWITCH_END}
+};
+
+SwitchSpec FlowBox::_switches[] = {
+    {SWITCH_CUSTOM, "-color", "{r g b a}",
      offsetof(FlowBoxValues, color), 0, 0,  &colorSwitch},
-    {Rappture::SWITCH_CUSTOM, "-corner1", "{x y z}",
+    {SWITCH_CUSTOM, "-corner1", "{x y z}",
      offsetof(FlowBoxValues, corner1), 0, 0, &pointSwitch},
-    {Rappture::SWITCH_CUSTOM, "-corner2", "{x y z}",
+    {SWITCH_CUSTOM, "-corner2", "{x y z}",
      offsetof(FlowBoxValues, corner2), 0, 0, &pointSwitch},
-    {Rappture::SWITCH_BOOLEAN, "-hide", "boolean",
+    {SWITCH_BOOLEAN, "-hide", "boolean",
      offsetof(FlowBoxValues, isHidden), 0},
-    {Rappture::SWITCH_FLOAT, "-linewidth", "number",
+    {SWITCH_FLOAT, "-linewidth", "number",
      offsetof(FlowBoxValues, lineWidth), 0},
-    {Rappture::SWITCH_END}
+    {SWITCH_END}
 };
 
@@ -172,61 +172,63 @@
     size_t length = buf.size();
 
-    Rappture::Unirect3d *dataPtr;
-    dataPtr = new Rappture::Unirect3d(nComponents);
+    Unirect3d *unirect = NULL;
 
     Flow *flow = (Flow *)clientData;
     if ((length > 4) && (strncmp(bytes, "<DX>", 4) == 0)) {
-        if (!dataPtr->importDx(result, nComponents, length - 4, bytes + 4)) {
+        unirect = new Unirect3d(nComponents);
+        if (!unirect->importDx(result, nComponents, length - 4, bytes + 4)) {
             Tcl_AppendResult(interp, result.remark(), (char *)NULL);
-            delete dataPtr;
+            delete unirect;
             return TCL_ERROR;
         }
     } else if ((length > 10) && (strncmp(bytes, "unirect3d ", 10) == 0)) {
-        if (dataPtr->parseBuffer(interp, buf) != TCL_OK) {
-            delete dataPtr;
+        unirect = new Unirect3d(nComponents);
+        if (unirect->parseBuffer(interp, buf) != TCL_OK) {
+            delete unirect;
             return TCL_ERROR;
         }
     } else if ((length > 10) && (strncmp(bytes, "unirect2d ", 10) == 0)) {
-        Rappture::Unirect2d *u2dPtr;
-        u2dPtr = new Rappture::Unirect2d(nComponents);
+        unirect = new Unirect3d(nComponents);
+        Unirect2d *u2dPtr = new Unirect2d(nComponents);
         if (u2dPtr->parseBuffer(interp, buf) != TCL_OK) {
             delete u2dPtr;
             return TCL_ERROR;
         }
-        dataPtr->convert(u2dPtr);
+        unirect->convert(u2dPtr);
         delete u2dPtr;
     } else {
         TRACE("header is %.14s", buf.bytes());
-        if (!dataPtr->importDx(result, nComponents, length, bytes)) {
+        unirect = new Unirect3d(nComponents);
+        if (!unirect->importDx(result, nComponents, length, bytes)) {
             Tcl_AppendResult(interp, result.remark(), (char *)NULL);
-            delete dataPtr;
+            delete unirect;
             return TCL_ERROR;
         }
     }
-    if (dataPtr->nValues() == 0) {
-        delete dataPtr;
+    if (unirect->nValues() == 0) {
+        delete unirect;
         Tcl_AppendResult(interp, "no data found in stream", (char *)NULL);
         return TCL_ERROR;
     }
     TRACE("nx = %d ny = %d nz = %d",
-          dataPtr->xNum(), dataPtr->yNum(), dataPtr->zNum());
+          unirect->xNum(), unirect->yNum(), unirect->zNum());
     TRACE("x0 = %lg y0 = %lg z0 = %lg",
-          dataPtr->xMin(), dataPtr->yMin(), dataPtr->zMin());
+          unirect->xMin(), unirect->yMin(), unirect->zMin());
     TRACE("lx = %lg ly = %lg lz = %lg",
-          dataPtr->xMax() - dataPtr->xMin(),
-          dataPtr->yMax() - dataPtr->yMin(),
-          dataPtr->zMax() - dataPtr->zMin());
+          unirect->xMax() - unirect->xMin(),
+          unirect->yMax() - unirect->yMin(),
+          unirect->zMax() - unirect->zMin());
     TRACE("dx = %lg dy = %lg dz = %lg",
-          dataPtr->xNum() > 1 ? (dataPtr->xMax() - dataPtr->xMin())/(dataPtr->xNum()-1) : 0,
-          dataPtr->yNum() > 1 ? (dataPtr->yMax() - dataPtr->yMin())/(dataPtr->yNum()-1) : 0,
-          dataPtr->zNum() > 1 ? (dataPtr->zMax() - dataPtr->zMin())/(dataPtr->zNum()-1) : 0);
+          unirect->xNum() > 1 ? (unirect->xMax() - unirect->xMin())/(unirect->xNum()-1) : 0,
+          unirect->yNum() > 1 ? (unirect->yMax() - unirect->yMin())/(unirect->yNum()-1) : 0,
+          unirect->zNum() > 1 ? (unirect->zMax() - unirect->zMin())/(unirect->zNum()-1) : 0);
     TRACE("magMin = %lg magMax = %lg",
-          dataPtr->magMin(), dataPtr->magMax());
-    flow->data(dataPtr);
+          unirect->magMin(), unirect->magMax());
+    flow->data(unirect);
     {
         char info[1024];
         int length =
             sprintf(info, "nv>data tag %s min %g max %g\n",
-                    flow->name(), dataPtr->magMin(), dataPtr->magMax());
+                    flow->name(), unirect->magMin(), unirect->magMax());
         if (SocketWrite(info, (size_t)length) < 0) {
             return TCL_ERROR;
@@ -237,5 +239,5 @@
 }
 
-static Rappture::CmdSpec flowDataOps[] = {
+static CmdSpec flowDataOps[] = {
     {"follows", 1, FlowDataFollowsOp, 5, 5, "size nComponents",},
 };
@@ -248,6 +250,6 @@
     Tcl_ObjCmdProc *proc;
 
-    proc = Rappture::GetOpFromObj(interp, nFlowDataOps, flowDataOps,
-                                  Rappture::CMDSPEC_ARG2, objc, objv, 0);
+    proc = GetOpFromObj(interp, nFlowDataOps, flowDataOps,
+                        CMDSPEC_ARG2, objc, objv, 0);
     if (proc == NULL) {
         return TCL_ERROR;
@@ -568,5 +570,5 @@
 }
 
-static Rappture::CmdSpec flowParticlesOps[] = {
+static CmdSpec flowParticlesOps[] = {
     {"add",        1, FlowParticlesAddOp,        4, 0, "name ?switches?",},
     {"configure",  1, FlowParticlesConfigureOp,  4, 0, "name ?switches?",},
@@ -592,6 +594,6 @@
 {
     Tcl_ObjCmdProc *proc;
-    proc = Rappture::GetOpFromObj(interp, nFlowParticlesOps, flowParticlesOps, 
-                                  Rappture::CMDSPEC_ARG2, objc, objv, 0);
+    proc = GetOpFromObj(interp, nFlowParticlesOps, flowParticlesOps, 
+                        CMDSPEC_ARG2, objc, objv, 0);
     if (proc == NULL) {
         return TCL_ERROR;
@@ -675,5 +677,5 @@
 }
 
-static Rappture::CmdSpec flowBoxOps[] = {
+static CmdSpec flowBoxOps[] = {
     {"add",        1, FlowBoxAddOp,        4, 0, "name ?switches?",},
     {"configure",  1, FlowBoxConfigureOp,  4, 0, "name ?switches?",},
@@ -697,6 +699,6 @@
 {
     Tcl_ObjCmdProc *proc;
-    proc = Rappture::GetOpFromObj(interp, nFlowBoxOps, flowBoxOps, 
-                                  Rappture::CMDSPEC_ARG2, objc, objv, 0);
+    proc = GetOpFromObj(interp, nFlowBoxOps, flowBoxOps, 
+                        CMDSPEC_ARG2, objc, objv, 0);
     if (proc == NULL) {
         return TCL_ERROR;
@@ -747,5 +749,5 @@
 }
 
-static Rappture::CmdSpec flowInstOps[] = {
+static CmdSpec flowInstOps[] = {
     {"box",         1, FlowBoxOp,        2, 0, "oper ?args?"},
     {"configure",   1, FlowConfigureOp,  2, 0, "?switches?"},
@@ -769,6 +771,6 @@
 {
     Tcl_ObjCmdProc *proc;
-    proc = Rappture::GetOpFromObj(interp, nFlowInstOps, flowInstOps, 
-                                  Rappture::CMDSPEC_ARG1, objc, objv, 0);
+    proc = GetOpFromObj(interp, nFlowInstOps, flowInstOps, 
+                        CMDSPEC_ARG1, objc, objv, 0);
     if (proc == NULL) {
         return TCL_ERROR;
@@ -974,23 +976,23 @@
 };
 
-static Rappture::SwitchParseProc VideoFormatSwitchProc;
-static Rappture::SwitchCustom videoFormatSwitch = {
+static SwitchParseProc VideoFormatSwitchProc;
+static SwitchCustom videoFormatSwitch = {
     VideoFormatSwitchProc, NULL, 0,
 };
 
-static Rappture::SwitchSpec flowVideoSwitches[] = {
-    {Rappture::SWITCH_INT, "-bitrate", "value",
+static SwitchSpec flowVideoSwitches[] = {
+    {SWITCH_INT, "-bitrate", "value",
      offsetof(FlowVideoSwitches, bitRate), 0},
-    {Rappture::SWITCH_CUSTOM, "-format", "string",
+    {SWITCH_CUSTOM, "-format", "string",
      offsetof(FlowVideoSwitches, formatObjPtr), 0, 0, &videoFormatSwitch},
-    {Rappture::SWITCH_FLOAT, "-framerate", "value",
+    {SWITCH_FLOAT, "-framerate", "value",
      offsetof(FlowVideoSwitches, frameRate), 0},
-    {Rappture::SWITCH_INT, "-height", "integer",
+    {SWITCH_INT, "-height", "integer",
      offsetof(FlowVideoSwitches, height), 0},
-    {Rappture::SWITCH_INT, "-numframes", "count",
+    {SWITCH_INT, "-numframes", "count",
      offsetof(FlowVideoSwitches, numFrames), 0},
-    {Rappture::SWITCH_INT, "-width", "integer",
+    {SWITCH_INT, "-width", "integer",
      offsetof(FlowVideoSwitches, width), 0},
-    {Rappture::SWITCH_END}
+    {SWITCH_END}
 };
 
@@ -1178,5 +1180,5 @@
     switches.formatObjPtr = Tcl_NewStringObj("mpeg1video", 10);
     Tcl_IncrRefCount(switches.formatObjPtr);
-    if (Rappture::ParseSwitches(interp, flowVideoSwitches, 
+    if (ParseSwitches(interp, flowVideoSwitches, 
                 objc - 3, objv + 3, &switches, SWITCH_DEFAULTS) < 0) {
         return TCL_ERROR;
@@ -1230,5 +1232,5 @@
     tmpFileName[length] = '\0';
     rmdir(tmpFileName);
-    Rappture::FreeSwitches(flowVideoSwitches, &switches, 0);
+    FreeSwitches(flowVideoSwitches, &switches, 0);
     return result;
 }
@@ -1245,5 +1247,5 @@
 #endif /* HAVE_FFMPEG */
 
-static Rappture::CmdSpec flowCmdOps[] = {
+static CmdSpec flowCmdOps[] = {
     {"add",      1, FlowAddOp,     3, 0, "name ?option value...?",},
     {"delete",   1, FlowDeleteOp,  3, 0, "name ?name...?",},
@@ -1263,6 +1265,6 @@
     Tcl_ObjCmdProc *proc;
 
-    proc = Rappture::GetOpFromObj(interp, nFlowCmdOps, flowCmdOps, 
-                                  Rappture::CMDSPEC_ARG1, objc, objv, 0);
+    proc = GetOpFromObj(interp, nFlowCmdOps, flowCmdOps, 
+                        CMDSPEC_ARG1, objc, objv, 0);
     if (proc == NULL) {
         return TCL_ERROR;
Index: nanovis/branches/1.1/FlowParticles.cpp
===================================================================
--- nanovis/branches/1.1/FlowParticles.cpp	(revision 4892)
+++ nanovis/branches/1.1/FlowParticles.cpp	(revision 4893)
@@ -41,5 +41,5 @@
     }
     TRACE("Freeing switches");
-    Rappture::FreeSwitches(_switches, &_sv, 0);
+    FreeSwitches(_switches, &_sv, 0);
 }
 
Index: nanovis/branches/1.1/FlowParticles.h
===================================================================
--- nanovis/branches/1.1/FlowParticles.h	(revision 4892)
+++ nanovis/branches/1.1/FlowParticles.h	(revision 4893)
@@ -52,6 +52,6 @@
     int parseSwitches(Tcl_Interp *interp, int objc, Tcl_Obj *const *objv)
     {
-        if (Rappture::ParseSwitches(interp, _switches, objc, objv, &_sv, 
-                                    SWITCH_DEFAULTS) < 0) {
+        if (nv::ParseSwitches(interp, _switches, objc, objv, &_sv, 
+                              SWITCH_DEFAULTS) < 0) {
             return TCL_ERROR;
         }
@@ -101,5 +101,5 @@
     FlowParticlesValues _sv;
 
-    static Rappture::SwitchSpec _switches[];
+    static SwitchSpec _switches[];
 };
 
Index: nanovis/branches/1.1/Switch.cpp
===================================================================
--- nanovis/branches/1.1/Switch.cpp	(revision 4892)
+++ nanovis/branches/1.1/Switch.cpp	(revision 4893)
@@ -36,5 +36,5 @@
 #include "Switch.h"
 
-namespace Rappture {
+namespace nv {
 
 static void
Index: nanovis/branches/1.1/Switch.h
===================================================================
--- nanovis/branches/1.1/Switch.h	(revision 4892)
+++ nanovis/branches/1.1/Switch.h	(revision 4893)
@@ -28,6 +28,6 @@
  */
 
-#ifndef RAPPTURE_SWITCH_H
-#define RAPPTURE_SWITCH_H
+#ifndef NV_SWITCH_H
+#define NV_SWITCH_H
 
 #ifdef HAVE_STDDEF_H
@@ -35,5 +35,5 @@
 #endif /* HAVE_STDDEF_H */
 
-namespace Rappture {
+namespace nv {
 
 typedef int (SwitchParseProc)(ClientData clientData, Tcl_Interp *interp, 
Index: nanovis/branches/1.1/Unirect.cpp
===================================================================
--- nanovis/branches/1.1/Unirect.cpp	(revision 4892)
+++ nanovis/branches/1.1/Unirect.cpp	(revision 4893)
@@ -45,5 +45,5 @@
 
 int
-Rappture::Unirect2d::parseBuffer(Tcl_Interp *interp, Rappture::Buffer &buf)
+nv::Unirect2d::parseBuffer(Tcl_Interp *interp, Rappture::Buffer &buf)
 {
     Tcl_Obj *objPtr = Tcl_NewStringObj(buf.bytes(), buf.size());
@@ -62,5 +62,5 @@
 
 int
-Rappture::Unirect3d::parseBuffer(Tcl_Interp *interp, Rappture::Buffer &buf)
+nv::Unirect3d::parseBuffer(Tcl_Interp *interp, Rappture::Buffer &buf)
 {
     Tcl_Obj *objPtr = Tcl_NewStringObj(buf.bytes(), buf.size());
@@ -79,6 +79,6 @@
 
 int 
-Rappture::Unirect3d::loadData(Tcl_Interp *interp, int objc, 
-                              Tcl_Obj *const *objv)
+nv::Unirect3d::loadData(Tcl_Interp *interp, int objc, 
+                        Tcl_Obj *const *objv)
 {
     int num[3], nValues;
@@ -313,6 +313,6 @@
 
 int 
-Rappture::Unirect2d::loadData(Tcl_Interp *interp, int objc, 
-                              Tcl_Obj *const *objv)
+nv::Unirect2d::loadData(Tcl_Interp *interp, int objc, 
+                        Tcl_Obj *const *objv)
 {
     if ((objc & 0x01) == 0) {
@@ -488,6 +488,6 @@
 
 bool
-Rappture::Unirect3d::importDx(Rappture::Outcome &result, size_t nComponents,
-                              size_t length, char *string) 
+nv::Unirect3d::importDx(Rappture::Outcome &result, size_t nComponents,
+                        size_t length, char *string) 
 {
     int nx, ny, nz, npts;
@@ -633,5 +633,5 @@
 
 bool
-Rappture::Unirect3d::resample(Rappture::Outcome &result, size_t nSamples)
+nv::Unirect3d::resample(Rappture::Outcome &result, size_t nSamples)
 {
     Rappture::Mesh1D xgrid(_xMin, _xMax, _xNum);
@@ -711,5 +711,5 @@
 
 void
-Rappture::Unirect3d::getVectorRange()
+nv::Unirect3d::getVectorRange()
 {
     assert(_nComponents == 3);
@@ -735,5 +735,5 @@
 
 bool 
-Rappture::Unirect3d::convert(Rappture::Unirect2d *dataPtr)
+nv::Unirect3d::convert(nv::Unirect2d *dataPtr)
 {
     _initialized = false;
Index: nanovis/branches/1.1/Unirect.h
===================================================================
--- nanovis/branches/1.1/Unirect.h	(revision 4892)
+++ nanovis/branches/1.1/Unirect.h	(revision 4893)
@@ -5,6 +5,6 @@
  * Author: George A. Howlett <gah@purdue.edu>
  */
-#ifndef RAPPTURE_UNIRECT_H
-#define RAPPTURE_UNIRECT_H
+#ifndef NV_UNIRECT_H
+#define NV_UNIRECT_H
 
 #include <float.h>
@@ -16,5 +16,5 @@
 #include "Trace.h"
 
-namespace Rappture {
+namespace nv {
 
 class Unirect2d;
Index: nanovis/branches/1.1/nanovis.cpp
===================================================================
--- nanovis/branches/1.1/nanovis.cpp	(revision 4892)
+++ nanovis/branches/1.1/nanovis.cpp	(revision 4893)
@@ -1295,5 +1295,5 @@
             continue;
         }
-        Rappture::Unirect3d *data = flow->data();
+        Unirect3d *data = flow->data();
         min = data->magMin();
         max = data->magMax();
